Bug 240733 - lang/php74: fix build on GCC architectures
Summary: lang/php74: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-21 16:58 UTC by Piotr Kubaj
Modified: 2019-09-30 14:25 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (tz)


Attachments
patch (633 bytes, patch)
2019-09-21 16:58 UTC, Piotr Kubaj
tz: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-09-21 16:58:46 UTC
Created attachment 207697 [details]
patch

Use C11 compiler because of:
/wrkdirs/usr/ports/lang/php74/work/php-7.4.0RC1/Zend/zend_compile.h:363: error: redefinition of typedef 'zend_property_info'
/wrkdirs/usr/ports/lang/php74/work/php-7.4.0RC1/Zend/zend_types.h:385: error: previous declaration of 'zend_property_info' was here

Disable DTRACE on powerpc64 due to:
dtrace: failed to link script /usr/local/poudriere/ports/default/lang/php74/work/php-7.4.0RC1/Zend/zend_dtrace.d: an error was encountered while processing main/.libs/main.o
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2019-09-21 19:16:45 UTC
Approved as mentor (builds on ppcports) pending maintainer review.
Comment 2 Torsten Zuehlsdorff freebsd_committer 2019-09-22 21:44:28 UTC
Approved, thank you for taking care of this! :)
Comment 3 Dani 2019-09-30 08:33:17 UTC
bump for commit :-)
Comment 4 commit-hook freebsd_committer 2019-09-30 14:16:28 UTC
A commit references this bug:

Author: pkubaj
Date: Mon Sep 30 14:16:26 UTC 2019
New revision: 513384
URL: https://svnweb.freebsd.org/changeset/ports/513384

Log:
  lang/php74: fix build on GCC architectures

  Use C11 compiler because of:
  /wrkdirs/usr/ports/lang/php74/work/php-7.4.0RC1/Zend/zend_compile.h:363: error: redefinition of typedef 'zend_property_info'
  /wrkdirs/usr/ports/lang/php74/work/php-7.4.0RC1/Zend/zend_types.h:385: error: previous declaration of 'zend_property_info' was here

  Disable DTRACE on powerpc64 due to:
  dtrace: failed to link script /usr/local/poudriere/ports/default/lang/php74/work/php-7.4.0RC1/Zend/zend_dtrace.d: an error was encountered while processing main/.libs/main.o

  PR:		240733
  Approved by:	tz (maintainer), linimon (mentor)

Changes:
  head/lang/php74/Makefile